<div class="hand-drawn-annotation-container">
  <mat-checkbox
    class="hand-drawn-annotation-item"
    color="primary"
    [value]="annotation.id"
    [checked]="selected"
    [disabled]="disabled"
    matTooltip="Checkbox is not ready yet"
    [matTooltipDisabled]="!disabled"
    (change)="onCheckboxChange($event)">
  </mat-checkbox>
  <b
    class="hand-drawn-annotation-item text-clamp"
    [matTooltip]="annotation | annotationToString"
    [appCopyToClipboard]="annotation">
    {{annotation?.name | uppercase}}
  </b>
  <button
    class="hand-drawn-annotation-item"
    mat-icon-button
    matTooltip="Zoom to annotation"
    (click)="zoomToAnnotation.emit(annotation)">
    <mat-icon>filter_center_focus</mat-icon>
  </button>
  <button
    class="hand-drawn-annotation-item"
    mat-icon-button
    matTooltip="Delete Annotation"
    (click)="deleteAnnotation.emit(annotation.id)">
    <mat-icon>delete</mat-icon>
  </button>
</div>
